searchNodes=[{"doc":"Easy flamegraphs to profile for your web applications. Rationale Profiling Elixir code is easy using the default Erlang tools, such as fprof . These tools produce a lot of potentially useful data, but visualizing and interpreting all that data is not easy. The erlang tool eflame contains some utilities to generate flamegraphs from the results of profiling your code But... eflame expects you to manually run a bash script, which according to my reading seems to call a perl (!) script that generates an interactive SVG. And although the generated SVGs support some minimal interaction, it's possible to do better. Incendium can be used to run benchmarks with integrated profiling data (in the form of flamegraphs). It uses Benchee under the hood, and the API is actually quite similar to Benchee's. It provides a single function, namely Incendium.run/2 , which takes the same arguments as Benchee.run/2 , plus some incendium-specific ones. The main difference is that the suite title is a required keyword argument instead of an optional one. An example: defmodule Incendium.Benchmarks.Example do defp map_fun ( i ) do [ i , i * i ] end def run ( ) do list = Enum . to_list ( 1 .. 10_000 ) Incendium . run ( %{ &quot;flat_map&quot; =&gt; fn -&gt; Enum . flat_map ( list , &amp; map_fun / 1 ) end , &quot;map.flatten&quot; =&gt; fn -&gt; list |&gt; Enum . map ( &amp; map_fun / 1 ) |&gt; List . flatten ( ) end } , title : &quot;Example&quot; , incendium_flamegraph_widths_to_scale : true ) end end Incendium.Benchmarks.Example . run ( ) The output of the script above can be found here .","ref":"Incendium.html","title":"Incendium","type":"module"},{"doc":"Runs benchmarks using Benchee and render the scenarios as flamegraphs. Takes the same parameters as Benchee.run/2 . Takes the following Incendium -specific options: :incendium_flamegraph_widths_to_scale (default true ) - sets the width of the flamegraphs according to the scenario runtime. Scenarios that take a longer time to run will generate wider flamegraphs. :incendium_file (default &quot;incendium/\#{suite.title} ) - the path to the HTML file were Incendium saves the benchmark results (in Benchee, this is specified by a Formatter, bue Incendium unfortunatelly can't reuse the normal Benchee formatting infrastructure) All other options are passed into Benchee.run/2","ref":"Incendium.html#run/2","title":"Incendium.run/2","type":"function"},{"doc":"","ref":"Mix.Tasks.Incendium.Assets.html","title":"Mix.Tasks.Incendium.Assets","type":"task"},{"doc":"","ref":"Mix.Tasks.Incendium.BuildAssets.html","title":"Mix.Tasks.Incendium.BuildAssets","type":"task"},{"doc":"Example flamegraph This is an example flamegraph generated by Incendium. Flamegraphs are highly dynamic thanks to the d3 library. Ýou can click on a horizontal rectangle (which represents a function call) to zoom in on the rectangle and its descendants. You can use the search form on the top right to search for a specific function name. The Download link allows you to download the flamegraph as a javascript file. To draw the flamegraph in a webpage you just have to add an inline &lt;script&gt; that references the javascript file. You don't even need to call any javascript. The script automatically inserts the flamgeraph just before the script tag. For the flamegraph to work properly, you must include the incendium.js and incendium.css in the webpage (the generated javascript code dependes on the javascript in incendium.js ). While incendium could be changed in order to generate completely standalone javascript, if you want to include several flamegrpahs in the same webpage, including the entire contents of incendium.js would be very wasteful. For example, the flamegraph above was generated by the following HTML: &lt;link rel=&quot;stylesheet&quot; href=&quot;assets/incendium.css&quot; /&gt; &lt;script src=&quot;assets/incendium.js&quot; charset=&quot;utf-8&quot;&gt;&lt;/script&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;assets/incendium_flamegraph_hkctthqlqhcubcsgrazymmvaldzllxbq.js&quot;&gt;&lt;/script&gt;","ref":"example-flamegraph.html","title":"Example flamegraph","type":"extras"}]